#ifndef _MIR_SP_MUSICROBOTCONTROLS_H_
#define _MIR_SP_MUSICROBOTCONTROLS_H_
/*
 * Copyright (c) 2011,
 * Technical University Of Gdansk,
 * Faculty of Electronics, Telecommunications and Informatics,
 * Multimedia Systems Department
 * and/or its affiliates. All rights reserved.
 */
#include <string>

#include "utils/mir_trkeys.h"
#include "mir_databasemodule.h"
#include "mir_sp_synatpgapp.h"
#include "controls/mir_sp_controlswidget.h"

namespace SyNaT
{
  namespace MIR
  {
    namespace SP
    {
      using namespace std;

      class MusicRobotControls : public ControlsWidget
      {
        public:
          MusicRobotControls(SyNaTPGApp *app, WMenu *mainmenu, DatabaseModule *dm, const string cssClass = "", const bool forceCssClass = "");

          virtual ~MusicRobotControls()
          {
          }
          //void populateSubMenu(Wt::WMenu *menu);

        protected:
          DatabaseModule *m_dm;
          SyNaTPGApp     *m_app;
          WMenu          *m_mainmenu;
      //    Wt::WWidget *wText();
      //    Wt::WWidget *wTemplate();
      //    Wt::WWidget *wBreak();
      //    Wt::WWidget *wAnchor();
      //    Wt::WWidget *wImage();
      //    Wt::WWidget *wTable();
      //    Wt::WWidget *wTree();
      //    Wt::WWidget *wTreeTable();
      //    Wt::WWidget *wPanel();
      //    Wt::WWidget *wTabWidget();
      //    Wt::WWidget *wContainerWidget();
      //    Wt::WWidget *wMenu();
      //    Wt::WWidget *wGroupBox();
      //    Wt::WWidget *wStackedWidget();
      //    Wt::WWidget *wProgressBar();
      };
    }
  }
}

#endif // _MIR_SP_MUSICROBOTCONTROLS_H_
