#ifndef _MIR_SP_SEARCHENGINE_H_
#define _MIR_SP_SEARCHENGINE_H_
/*
 * Copyright (c) 2011,
 * Technical University Of Gdansk,
 * Faculty of Electronics, Telecommunications and Informatics,
 * Multimedia Systems Department
 * and/or its affiliates. All rights reserved.
 */
#include <Wt/WMenu>

#include "utils/mir_trkeys.h"
#include "mir_databasemodule.h"
#include "mir_sp_controlswidget.h"
#include "mir_sp_synatpgapp.h"

namespace SyNaT
{
  namespace MIR
  {
    namespace SP
    {
      using namespace Wt;

      class SearchEngineControls : public ControlsWidget
      {
        public:
          SearchEngineControls(SyNaTPGApp *app, WMenu *mainmenu, DatabaseModule *dm, const string styleClass = "", const bool forceClass = false);

          virtual ~SearchEngineControls()
          {
          }

          void populateSubMenu(WMenu *menu);

        private:
          WWidget        *wSomeOption();
          WMenu          *m_mainmenu;
          DatabaseModule *m_dm;
          SyNaTPGApp     *m_app;
      };
    }
  }
}

#endif /* _MIR_SP_SEARCHENGINE_H_ */
