#ifndef _MIR_SP_PARAMSRESOURCE_H_
#define _MIR_SP_PARAMSRESOURCE_H_
/*
 * Copyright (c) 2011,
 * Technical University Of Gdansk,
 * Faculty of Electronics, Telecommunications and Informatics,
 * Multimedia Systems Department
 * and/or its affiliates. All rights reserved.
 */
#include <Wt/WObject>
#include <Wt/WResource>
#include <Wt/Http/Request>
#include <Wt/Http/Response>

#include <mir_databasemodule.h>

namespace SyNaT
{
  namespace MIR
  {
    namespace SP
    {
      using namespace Wt;

      class ParamsResource : public WResource
      {
        public:
          ParamsResource(DatabaseModule *dm, long long utwId, WObject *parent = 0);

          virtual ~ParamsResource();

          virtual void handleRequest(const Wt::Http::Request& request,
                             Wt::Http::Response& response);

        protected:
          int                          m_iterations;
          DatabaseModule              *m_dm;
          string                       m_suggestedFileName;
          long long                    m_utwId;

      };
    }
  }
}




#endif /* _MIR_SP_PARAMSRESOURCE_H_ */
