#ifndef _MIR_WCUSTOMTABLEVIEWPUSHBUTTON_H_
#define _MIR_WCUSTOMTABLEVIEWPUSHBUTTON_H_

#include <Wt/WPushButton>

#include <widgets/mir_wcustomtableview.h>

namespace SyNaT
{
  namespace MIR
  {
    using namespace Wt;

    class WCustomTableViewPushButton : public WPushButton
    {
      public:
        WCustomTableViewPushButton(WContainerWidget *parent = 0, WCustomTableView *wctv = 0)
          : m_wctv(wctv), WPushButton(parent)
        {
        }

        WCustomTableViewPushButton(const WString& text, WContainerWidget *parent = 0, WCustomTableView *wctv = 0)
          : m_wctv(wctv), WPushButton(text, parent)
        {
        }

        void slt_first_page_clicked();
        void slt_prev_page_clicked();
        void slt_next_page_clicked();
        void slt_last_page_clicked();
        void slt_page_clicked();

        void slt_next_pages_clicked();
        void slt_prev_pages_clicked();

      protected:
        WCustomTableView *m_wctv;
    };
  }
}


#endif /* _MIR_WCUSTOMTABLEVIEWPUSHBUTTON_H_ */
