#ifndef _MIR_SP_SIGNOUT_H_
#define _MIR_SP_SIGNOUT_H_
/*
 * Copyright (c) 2011,
 * Technical University Of Gdansk,
 * Faculty of Electronics, Telecommunications and Informatics,
 * Multimedia Systems Department
 * and/or its affiliates. All rights reserved.
 */
#include <Wt/WMenuItem>
#include <Wt/WMenu>

#include <string>

#include "controls/mir_sp_logincontrols.h"
#include "mir_sp_controlswidget.h"
#include "mir_sp_synatpgapp.h"

namespace SyNaT
{
  namespace MIR
  {
    namespace SP
    {
      using namespace std;

      class SignOutControls : public ControlsWidget
      {
        public:
          SignOutControls(SyNaTPGApp *app, WMenu *mainmenu, DatabaseModule *dm, const string styleClass = "", const bool forceClass = false)
           : ControlsWidget(false, styleClass, forceClass), m_mainmenu(mainmenu), m_dm(dm), m_app(app)
          {
          }

          virtual ~SignOutControls()
          {
          }

          WWidget *create_signout_controls();

          void slt_signout();

        protected:
          SyNaTPGApp            *m_app;
          WMenu                 *m_mainmenu;
          DatabaseModule        *m_dm;
      };
    }
  }
}

#endif /* MIR_SP_SIGNOUT_H_ */
