#ifndef _MIR_SP_USERSCONTROLS_H_
#define _MIR_SP_USERSCONTROLS_H_

/*
 * Copyright (c) 2011,
 * Technical University Of Gdansk,
 * Faculty of Electronics, Telecommunications and Informatics,
 * Multimedia Systems Department
 * and/or its affiliates. All rights reserved.
 */
#include <Wt/WWidget>
#include <Wt/WString>
#include <Wt/WText>
#include <Wt/WLineEdit>
#include <Wt/WMenu>
#include <Wt/WString>
#include <Wt/WMenu>

#include <string>

#include "utils/mir_trkeys.h"
#include "mir_databasemodule.h"
#include "mir_sp_controlswidget.h"
#include "mir_sp_synatpgapp.h"

namespace SyNaT
{
  namespace MIR
  {
    namespace SP
    {
      using namespace Wt;
      using namespace std;

      class UsersControls : public ControlsWidget
      {
        public:
          UsersControls(SyNaTPGApp *app, WMenu *mainmenu, DatabaseModule *dm, const string cssClass = "", const bool forceCssClass = false);

          virtual ~UsersControls()
          {
          }

          void populateSubMenu(WMenu *menu);

        protected:
          DatabaseModule *m_dm;
          WMenu          *m_mainmenu;
          SyNaTPGApp     *m_app;


          WWidget *wAddUser();
      //    Wt::WWidget *wTemplate();
      //    Wt::WWidget *wBreak();
      //    Wt::WWidget *wAnchor();
      //    Wt::WWidget *wImage();
      //    Wt::WWidget *wTable();
      //    Wt::WWidget *wTree();
      //    Wt::WWidget *wTreeTable();
      //    Wt::WWidget *wPanel();
      //    Wt::WWidget *wTabWidget();
      //    Wt::WWidget *wContainerWidget();
      //    Wt::WWidget *wMenu();
      //    Wt::WWidget *wGroupBox();
      //    Wt::WWidget *wStackedWidget();
      //    Wt::WWidget *wProgressBar();
      };
    }
  }
}

#endif // _MIR_SP_USERSCONTROLS_H_
