#include <Wt/WString>
#include <Wt/WText>
#include <Wt/WMenu>

#include "mir_databasemodule.h"
#include "widgets/mir_deferredwidget.h"
#include "controls/mir_sp_controlswidget.h"
#include "mir_sp_synatpgapp.h"
#include "controls/mir_sp_searchenginecontrols.h"

namespace SyNaT
{
  namespace MIR
  {
    namespace SP
    {
      using namespace std;
      using namespace Wt;


      SearchEngineControls::SearchEngineControls(SyNaTPGApp *app, WMenu *mainmenu, DatabaseModule *dm, const string styleClass, const bool forceClass)
       : ControlsWidget(true, styleClass, forceClass), m_mainmenu(mainmenu), m_dm(dm), m_app(app)
      {
        new WText(WString("Tutaj będą wykonywane operacje na wyszukiwarce.", UTF8), this);
      }

      void SearchEngineControls::populateSubMenu(WMenu *menu)
      {
//   menu->addItem("Category Charts",
//        deferCreate(boost::bind(&ChartWidgets::category, this)));

        menu->addItem("2",
                      deferCreate(boost::bind(&SearchEngineControls::wSomeOption, this)));
//        menu->addItem("WTreeTable", wTreeTable());
//        menu->addItem("WPanel", wPanel());
//        menu->addItem("WTabWidget", wTabWidget());
//        menu->addItem("WProgressBar", wProgressBar());
      }

      WWidget *SearchEngineControls::wSomeOption()
      {

        return new WText("1", this);
      }
    }
  }
}
