/*
 * mir_sp_signout.cpp
 *
 *  Created on: 20-06-2011
 *      Author: lmatusz
 */

#include <Wt/WString>
#include <Wt/WContainerWidget>
#include <Wt/WPushButton>
#include <Wt/WMenu>
#include <Wt/WTable>
#include <Wt/WTableCell>

#include <vector>

#include <boost/foreach.hpp>
#include <boost/ptr_container/ptr_vector.hpp>

#include "controls/mir_sp_logincontrols.h"
#include "utils/mir_cssclasses.h"
#include "utils/mir_internalpaths.h"
#include "utils/mir_trkeys.h"
#include "widgets/mir_deferredwidget.h"
#include "controls/mir_sp_controlswidget.h"
#include "mir_sp_menuandcontents.h"
#include "mir_sp_synatpgapp.h"
#include "controls/mir_sp_signoutcontrols.h"


namespace SyNaT
{
  namespace MIR
  {
    namespace SP
    {
      using namespace std;
      using namespace Wt;

      WWidget *SignOutControls::create_signout_controls()
      {
        WTable *table = new WTable();
        table->setMargin(WLength::Auto, Left | Right);
        WPushButton *wtxt = new WPushButton(tr(MIR_BTN_SIGNOUT));
        wtxt->clicked().connect(this, &SignOutControls::slt_signout);
        WTableCell *cell = table->elementAt(0, 0);
        cell->addWidget(wtxt);
        this->m_was_rendered = true;
        return table;
      }

      void SignOutControls::slt_signout()
      {
//        vector<WMenuItem *> items_(this->m_mainmenu->items());
//        BOOST_FOREACH(WMenuItem *mi, items_)
//        {
//          if(mi->text() == WString::tr(MIR_MENU_SIGNIN))
//          {
//            this->m_app->doJavaScript("$(\"#"+ this->m_mainmenu->id()+" li:first\").css(\"display\", \"list-item\");");
//            mi->show();
//            mi->select();
//          }
//          else
//            mi->hide();
//        }
//        this->m_app->m_wtappmessage->setText(tr(MIR_MSG_EMPTY));
//        if (this->m_tcell)
//          this->m_tcell->removeWidget(this->m_app->m_wtappmessage);
//        this->addWidget(this->create_signin_page());
        this->m_app->quit();
        this->m_app->redirect("http://synat.eti.pg.gda.pl");
      }
    }
  }
}



