#include <Wt/WWidget>
#include <Wt/WString>
#include <Wt/WText>
#include <Wt/WMenu>
#include <Wt/WString>

#include "utils/mir_internalpaths.h"
#include "widgets/mir_deferredwidget.h"
#include "mir_sp_synatpgapp.h"
#include "controls/mir_sp_userscontrols.h"


namespace SyNaT
{
  namespace MIR
  {
    namespace SP
    {
      using namespace Wt;

      UsersControls::UsersControls(SyNaTPGApp *app, WMenu *mainmenu, DatabaseModule *dm, const string styleClass, const bool forceClass)
       : ControlsWidget(true, styleClass, forceClass), m_mainmenu(mainmenu), m_dm(dm), m_app(app)
      {
        new WText(WString("Tutaj będą wykonywane operacje na użytkownikach.", UTF8), this);
      }

      void UsersControls::populateSubMenu(WMenu *menu)
      {
//   menu->addItem("Category Charts",
//        deferCreate(boost::bind(&ChartWidgets::category, this)));

        menu->addItem(WString("Dodaj użytkownika", UTF8),
                      deferCreate(boost::bind(&UsersControls::wAddUser, this)))
                      ->setPathComponent(MIR_IPATH_USERS_ADD_USER);
//        menu->addItem("WTreeTable", wTreeTable());
//        menu->addItem("WPanel", wPanel());
//        menu->addItem("WTabWidget", wTabWidget());
//        menu->addItem("WProgressBar", wProgressBar());
      }

      WWidget *UsersControls::wAddUser()
      {
        return new WText(WString("Tutaj będą wykonywane operacje na użytkownikach.", UTF8), this);
      }
    }
  }
}
